Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.impl
Class C3P0ImplUtils

    java.lang.Object
      com.mchange.v2.c3p0.impl.C3P0ImplUtils

    public final class C3P0ImplUtils

extends java.lang.Object

Field Summary
`static java.lang.Object[]` | `NOARGS`
`static DbAuth` | `NULL_AUTH`
`static java.lang.String` | `VMID_PROPKEY`

Method Summary
`static java.lang.String` | `allocateIdentityToken(java.lang.Object o)`
`static java.lang.String` | `createUserOverridesAsString(java.util.Map userOverrides)`
`static ConnectionTester` | `defaultConnectionTester()`
`static DbAuth` | `findAuth(java.lang.Object o)`
`static java.util.Map` | `parseUserOverridesAsString(java.lang.String userOverridesAsString)`
`static boolean` | `supportsMethod(java.lang.Object target, java.lang.String mname, java.lang.Class[] argTypes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_AUTH

    public static final DbAuth NULL_AUTH

### NOARGS

    public static final java.lang.Object[] NOARGS

### VMID_PROPKEY

    public static final java.lang.String VMID_PROPKEY

See Also:
  Constant Field Values

Method Detail

### allocateIdentityToken

    public static java.lang.String allocateIdentityToken(java.lang.Object o)

### findAuth

    public static DbAuth findAuth(java.lang.Object o)
                           throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### defaultConnectionTester

    public static ConnectionTester defaultConnectionTester()

### supportsMethod

    public static boolean supportsMethod(java.lang.Object target,
                                         java.lang.String mname,
                                         java.lang.Class[] argTypes)

### createUserOverridesAsString

    public static java.lang.String createUserOverridesAsString(java.util.Map userOverrides)
                                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### parseUserOverridesAsString

    public static java.util.Map parseUserOverridesAsString(java.lang.String userOverridesAsString)
                                                    throws java.io.IOException,
                                                           java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD